> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# List disputes by organization

GET https://api-sandbox.payabli.com/api/Query/chargebacks/org/{orgId}

Retrieve a list of chargebacks and returned transactions for an org. Use filters to limit results. Include the `exportFormat` query parameter to return the results as a file instead of a JSON response.

Reference: https://docs.payabli.com/developers/api-reference/chargebacks/get-list-of-chargebacks-and-returned-transactions-for-an-org

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: payabliApi-oas
  version: 1.0.0
paths:
  /Query/chargebacks/org/{orgId}:
    get:
      operationId: list-chargebacks-org
      summary: Get list of chargebacks and returned transactions for an org
      description: >-
        Retrieve a list of chargebacks and returned transactions for an org. Use
        filters to limit results. Include the `exportFormat` query parameter to
        return the results as a file instead of a JSON response.
      tags:
        - subpackage_query
      parameters:
        - name: orgId
          in: path
          description: The numeric identifier for organization, assigned by Payabli.
          required: true
          schema:
            type: integer
        - name: exportFormat
          in: query
          description: >-
            Export format for file downloads. When specified, returns data as a
            file instead of JSON.
          required: false
          schema:
            $ref: '#/components/schemas/ExportFormat'
        - name: fromRecord
          in: query
          description: >-
            The number of records to skip before starting to collect the result
            set.
          required: false
          schema:
            type: integer
            default: 0
        - name: limitRecord
          in: query
          description: >-
            Max number of records to return for the query. Use `0` or negative
            value to return all records.
          required: false
          schema:
            type: integer
            default: 20
        - name: parameters
          in: query
          description: >-
            Collection of field names, conditions, and values used to filter the
            query.


            <Info>
              **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.**

              Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client.

              For example:

              --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20

              should become:

              --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20
            </Info> See [Filters and Conditions
            Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference)
            for help.


            **List of field names accepted:**


            - `chargebackDate` (gt, ge, lt, le, eq, ne)

            - `transId`  (ne, eq, ct, nct)

            - `method`   (in, nin, eq, ne)

            - `netAmount`  (gt, ge, lt, le, eq, ne)

            - `reasonCode`   (in, nin, eq, ne)

            - `reason`  (ct, nct, eq, ne)

            - `replyDate` (gt, ge, lt, le, eq, ne)

            - `caseNumber`  (ct, nct, eq, ne)

            - `status`   (in, nin, eq, ne)

            - `accountType`   (in, nin, eq, ne)

            - `payaccountLastfour`   (nct, ct)

            - `payaccountType`   (ne, eq, in, nin)

            - `customerFirstname`   (ct, nct, eq, ne)

            - `customerLastname`    (ct, nct, eq, ne)

            - `customerName`   (ct, nct)

            - `customerId`  (eq, ne)

            - `customerNumber`  (ct, nct, eq, ne)

            - `customerCompanyname`    (ct, nct, eq, ne)

            - `customerAddress` (ct, nct, eq, ne)

            - `customerCity`    (ct, nct, eq, ne)

            - `customerZip` (ct, nct, eq, ne)

            - `customerState` (ct, nct, eq, ne)

            - `customerCountry` (ct, nct, eq, ne)

            - `customerPhone` (ct, nct, eq, ne)

            - `customerEmail` (ct, nct, eq, ne)

            - `customerShippingAddress` (ct, nct, eq, ne)

            - `customerShippingCity`    (ct, nct, eq, ne)

            - `customerShippingZip` (ct, nct, eq, ne)

            - `customerShippingState` (ct, nct, eq, ne)

            - `customerShippingCountry` (ct, nct, eq, ne)

            - `orgId`  (eq) *mandatory when entry=org*

            - `paypointId`  (ne, eq)

            - `paypointLegal`  (ne, eq, ct, nct)

            - `paypointDba`  (ne, eq, ct, nct)

            - `orgName`  (ne, eq, ct, nct)

            - `additional-xxx`  (ne, eq, ct, nct) where xxx is the additional
            field name


            **List of comparison accepted - enclosed between parentheses:**


            - `eq` or empty => equal

            - `gt` => greater than

            - `ge` => greater or equal

            - `lt` => less than

            - `le` => less or equal

            - `ne` => not equal

            - `ct` => contains

            - `nct` => not contains

            - `in` => inside array separated by "|"

            - `nin` => not inside array separated by "|"


            **List of parameters accepted:**

            - `limitRecord`: max number of records for query (default="20", "0"
            or negative value for all)

            - `fromRecord`: initial record in query


            Example: `netAmount(gt)=20` returns all records with a `netAmount`
            greater than 20.00
          required: false
          schema:
            type: object
            additionalProperties:
              type:
                - string
                - 'null'
        - name: sortBy
          in: query
          description: >-
            The field name to use for sorting results. Use `desc(field_name)` to
            sort descending by `field_name`, and use `asc(field_name)` to sort
            ascending by `field_name`.
          required: false
          schema:
            type: string
        - name: requestToken
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QueryChargebacksResponse'
        '400':
          description: Bad request / invalid data.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '401':
          description: Unauthorized request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
        '503':
          description: Database connection error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayabliErrorBody'
servers:
  - url: https://api-sandbox.payabli.com/api
    description: Sandbox
  - url: https://api.payabli.com/api
    description: Production
components:
  schemas:
    ExportFormat:
      type: string
      enum:
        - csv
        - xlsx
      description: |
        Export format for file downloads. When specified, returns data as a file
        instead of JSON.
      title: ExportFormat
    CreatedAt:
      type: string
      format: date-time
      description: Timestamp of when record was created, in UTC.
      title: CreatedAt
    BillingZip:
      type: string
      description: Billing address ZIP code.
      title: BillingZip
    Email:
      type: string
      format: email
      description: Email address.
      title: Email
    CustomerNumberNullable:
      type: string
      description: |
        User-provided unique identifier for the customer. This is typically the
        customer ID from your own system.
      title: CustomerNumberNullable
    Shippingaddress:
      type: string
      description: The shipping address.
      title: Shippingaddress
    Shippingaddressadditional:
      type: string
      description: Additional line for shipping address.
      title: Shippingaddressadditional
    Shippingcity:
      type: string
      description: Shipping city.
      title: Shippingcity
    Shippingstate:
      type: string
      description: Shipping state or province.
      title: Shippingstate
    Shippingzip:
      type: string
      description: |
        Shipping ZIP code. For Pay In functions, this field supports 5-digit
        and 9-digit ZIP codes and alphanumeric Canadian postal codes. For
        example: `37615-1234` or `37615`.
      title: Shippingzip
    Shippingcountry:
      type: string
      description: Shipping address country.
      title: Shippingcountry
    CustomerId:
      type: integer
      format: int64
      description: The Payabli-generated unique ID for the customer.
      title: CustomerId
    CustomerStatus:
      type: integer
      description: |
        Customer Status. Possible values:

        - `-99` Deleted
        - `0` Inactive
        - `1` Active
        - `85` Locked (typically due to multiple failed login attempts)
      title: CustomerStatus
    AdditionalDataMap:
      type: object
      additionalProperties:
        type: string
      description: >
        Custom dictionary of key:value pairs. You can use this field to store
        any

        data related to the object or for your system.


        ```json

        {
          "additionalData": {
            "key1": "value1",
            "key2": "value2",
            "key3": "value3"
          }
        }

        ```
      title: AdditionalDataMap
    QueryTransactionPayorData:
      type: object
      properties:
        Identifiers:
          type: array
          items:
            description: Any type
          description: Array of field names to be used as identifiers.
        FirstName:
          type: string
          description: Customer/Payor first name.
        LastName:
          type: string
          description: Customer/Payor last name.
        CompanyName:
          type: string
          description: Customer's company name.
        BillingAddress1:
          type: string
          description: Customer's billing address.
        BillingAddress2:
          type: string
          description: Additional line for Customer's billing address.
        BillingCity:
          type: string
          description: Customer's billing city.
        BillingState:
          type: string
          description: >-
            Customer's billing state. Must be 2-letter state code for address in
            US.
        BillingZip:
          $ref: '#/components/schemas/BillingZip'
          description: Customer's billing ZIP code.
        BillingCountry:
          type: string
          description: Customer's billing country.
        BillingPhone:
          type: string
          description: Customer's phone number.
        BillingEmail:
          $ref: '#/components/schemas/Email'
          description: Customer's email address.
        CustomerNumber:
          $ref: '#/components/schemas/CustomerNumberNullable'
        ShippingAddress1:
          $ref: '#/components/schemas/Shippingaddress'
        ShippingAddress2:
          $ref: '#/components/schemas/Shippingaddressadditional'
        ShippingCity:
          $ref: '#/components/schemas/Shippingcity'
        ShippingState:
          $ref: '#/components/schemas/Shippingstate'
        ShippingZip:
          $ref: '#/components/schemas/Shippingzip'
        ShippingCountry:
          $ref: '#/components/schemas/Shippingcountry'
        customerId:
          $ref: '#/components/schemas/CustomerId'
        customerStatus:
          $ref: '#/components/schemas/CustomerStatus'
        AdditionalData:
          $ref: '#/components/schemas/AdditionalDataMap'
      title: QueryTransactionPayorData
    ExternalPaypointId:
      type: string
      description: |
        A custom identifier for the paypoint, if applicable.
      title: ExternalPaypointId
    OrderId:
      type: string
      description: Custom identifier for the transaction.
      title: OrderId
    PageIdentifier:
      type: string
      description: Auxiliary validation used internally by payment pages and components.
      title: PageIdentifier
    OrgParentName:
      type: string
      description: The name of the parent organization.
      title: OrgParentName
    Accountexp:
      type: string
      description: Expiration date of card used in transaction.
      title: Accountexp
    AccountId:
      type: string
      description: Custom identifier for payment connector.
      title: AccountId
    Accounttype:
      type: string
      description: Bank account type or card brand.
      title: Accounttype
    Accountzip:
      type: string
      description: ZIP code for card used in transaction.
      title: Accountzip
    BinData:
      type: object
      properties:
        binMatchedLength:
          type: string
          description: |-
            The number of characters from the beginning of the card number that
            were matched against a Bank Identification Number (BIN) or the Card
            Range table.
        binCardBrand:
          type: string
          description: |-
            The card brand. For example, Visa, Mastercard, American Express,
            Discover.
        binCardType:
          type: string
          description: |-
            The type of card: `Credit` or `Debit`. Case can vary between
            processors, so compare this value case-insensitively.
        binCardCategory:
          type: string
          description: >-
            The category of the card, which indicates the card product. For
            example: Standard, Gold, Platinum, etc. The binCardCategory for
            prepaid cards is marked `PREPAID`.
        binCardIssuer:
          type: string
          description: The name of the financial institution that issued the card.
        binCardIssuerCountry:
          type: string
          description: The issuing financial institution's country name.
        binCardIssuerCountryCodeA2:
          type: string
          description: >-
            The issuing financial institution's two-character ISO country code.
            See [this resource](https://www.iso.org/obp/ui/#search) for a list
            of codes.
        binCardIssuerCountryNumber:
          type: string
          description: >-
            The issuing financial institution's ISO standard numeric country
            code. See [this resource](https://www.iso.org/obp/ui/#search) for a
            list of codes.
        binCardIsRegulated:
          type: string
          description: Indicates whether the card is regulated.
        binCardUseCategory:
          type: string
          description: The use category classification for the card.
        binCardIssuerCountryCodeA3:
          type: string
          description: >-
            The issuing financial institution's three-character ISO country
            code.

            See [this resource](https://www.iso.org/obp/ui/#search) for a list
            of

            codes.
      description: >-
        Object containing information related to the card. This object is `null`

        unless the payment method is card. If the payment method is Apple Pay,
        the

        binData will be related to the DPAN (device primary account number), not

        the card connected to Apple Pay.
      title: BinData
    Holdername:
      type: string
      description: The cardholder name.
      title: Holdername
    Initiator:
      type: string
      description: |
        The transaction's initiator. Indicates who initiated the transaction.
      title: Initiator
    Maskedaccount:
      type: string
      description: |
        Masked card or bank account used in transaction. In the case of Apple
        Pay, this is a masked DPAN (device primary account number).
      title: Maskedaccount
    Orderdescription:
      type: string
      description: Text description of the transaction.
      title: Orderdescription
    PaymentCategories:
      type: object
      properties:
        amount:
          type: number
          format: double
          description: Price/cost per unit of item or category.
        description:
          type: string
          description: Description of item or category
        label:
          type: string
          description: Name of item or category.
        qty:
          type: integer
          default: 1
          description: Quantity of item or category
      required:
        - amount
        - label
      title: PaymentCategories
    SplitFundingContent:
      type: object
      properties:
        accountId:
          type: string
          description: The accountId for the account the split should be sent to.
        amount:
          type: number
          format: double
          description: Amount from the transaction to send to this recipient.
        description:
          type: string
          description: A description for the split.
        recipientEntryPoint:
          type: string
          description: The entrypoint the split should be sent to.
      title: SplitFundingContent
    SplitFunding:
      type: array
      items:
        $ref: '#/components/schemas/SplitFundingContent'
      description: >-
        Split funding instructions for the transaction. The total amount of the
        splits must match the total amount of the transaction.
      title: SplitFunding
    PaymentDetail:
      type: object
      properties:
        categories:
          type: array
          items:
            $ref: '#/components/schemas/PaymentCategories'
          description: >-
            Array of payment categories/line items describing the amount to be
            paid.

            **Note**: These categories are for information only and aren't
            validated against the total amount provided.
        checkImage:
          type: object
          additionalProperties:
            description: Any type
          description: Object containing image of paper check.
        checkNumber:
          type: string
          description: >-
            A check number to be used in the ach transaction. **Required** for
            payment method = 'check'.
        currency:
          type: string
          description: >-
            The currency for the transaction, `USD` or `CAD`. If your paypoint
            is configured for CAD, you must send the `CAD` value in this field,
            otherwise it defaults to USD, which will cause the transaction to
            fail.
        serviceFee:
          type: number
          format: double
          description: >-
            Service fee to be deducted from the total amount. This amount must
            be a number, percentages aren't accepted. If you are using a
            percentage-based fee schedule, you must calculate the value
            manually.
        splitFunding:
          $ref: '#/components/schemas/SplitFunding'
          description: >-
            Split funding instructions for the transaction. See [Split a
            Transaction](/developers/developer-guides/money-in-split-funding)
            for more.
        checkUniqueId:
          type: string
          description: >-
            Unique identifier for a processed check image. Required for RDC
            (Remote Deposit Capture) transactions where `achCode` is `BOC`. Use
            the `id` value from the [check
            processing](/developers/api-reference/moneyin/check-capture)
            response.
        totalAmount:
          type: number
          format: double
          description: >-
            Total amount to be charged. If a service fee is sent, then this
            amount should include the service fee."
      required:
        - totalAmount
      description: Details about the payment.
      title: PaymentDetail
    Sequence:
      type: string
      description: >
        The order of the transaction for cardholder-initiated transaction (CIT)

        and merchant-initiated transaction (MIT) purposes. This field is

        automatically detected and populated by Payabli.


        Available values:


        - `first`: The first use of the payment method. This is almost always
          a cardholder-initiated transaction.
        - `subsequent`: For merchant-initiated transactions after the first use
          of the payment method.

        See

        [Understanding CIT and MIT
        Indicators](/guides/pay-in-transactions-cit-mit-overview)

        for more information.
      title: Sequence
    Signaturedata:
      type: string
      title: Signaturedata
    Storedmethodid:
      type: string
      description: |
        Payabli identifier of a tokenized payment method. If this field is
        used in a request, the `method` field is overridden and the payment
        is made using the payment token.
      title: Storedmethodid
    StoredMethodUsageType:
      type: string
      description: >
        **Strongly recommended.** The usage type for the stored method, used

        for merchant-initiated transactions (MIT). If you don't specify a

        value, Payabli defaults to `unscheduled`.


        Available values:


        - `unscheduled`: One-time or otherwise not pre-scheduled.

        - `subscription`: Subscription payments. For example, monthly rental
          fees or ongoing service subscriptions.
        - `recurring`: Recurring payments per a set plan. For example,
          splitting an HOA special assessment over 6 monthly payments.

        See

        [Understanding CIT and MIT
        Indicators](/guides/pay-in-transactions-cit-mit-overview)

        for more information.
      title: StoredMethodUsageType
    QueryPaymentData:
      type: object
      properties:
        AccountExp:
          $ref: '#/components/schemas/Accountexp'
        accountId:
          $ref: '#/components/schemas/AccountId'
        AccountType:
          $ref: '#/components/schemas/Accounttype'
        AccountZip:
          $ref: '#/components/schemas/Accountzip'
        binData:
          $ref: '#/components/schemas/BinData'
        HolderName:
          $ref: '#/components/schemas/Holdername'
        Initiator:
          $ref: '#/components/schemas/Initiator'
        MaskedAccount:
          $ref: '#/components/schemas/Maskedaccount'
        orderDescription:
          $ref: '#/components/schemas/Orderdescription'
        paymentDetails:
          $ref: '#/components/schemas/PaymentDetail'
        Sequence:
          $ref: '#/components/schemas/Sequence'
        SignatureData:
          $ref: '#/components/schemas/Signaturedata'
        StoredId:
          $ref: '#/components/schemas/Storedmethodid'
          description: Identifier of stored payment method used in transaction.
        StoredMethodUsageType:
          $ref: '#/components/schemas/StoredMethodUsageType'
      title: QueryPaymentData
    Dbaname:
      type: string
      description: |
        The alternate or common name that this business is doing business under,
        usually referred to as a DBA name.
      title: Dbaname
    Entrypointfield:
      type: string
      description: The entrypoint identifier.
      title: Entrypointfield
    Legalname:
      type: string
      description: Business legal name.
      title: Legalname
    Replyby:
      type: string
      format: date-time
      description: Time that a response to a chargeback is due, in UTC.
      title: Replyby
    AchHolderType:
      type: string
      enum:
        - personal
        - business
      default: personal
      description: |
        The bank's accountholder type: personal or business.
      title: AchHolderType
    AchSecCode:
      type: string
      description: >
        Standard Entry Class (SEC) code is a three letter code that describes

        how an ACH payment was authorized. Supported values are:


        - **PPD** (Prearranged Payment and Deposit) — Used for credits or debits
          where an accountholder authorizes a company to initiate either a single
          or recurring transaction to their personal bank account. Common examples
          include direct deposit of payroll, mortgage payments, or utility bills.
          This is the default value for subscription payments.
        - **WEB** (Internet-Initiated/Mobile Entry) — Used for debit entries
        when
          authorization is obtained from an accountholder via the internet or a
          wireless network. Common examples are online bill payments, ecommerce
          purchases, and mobile app payments where the consumer enters their
          banking information online.
        - **TEL** (Telephone-Initiated Entry) — Used for one-time debit entries
          where authorization is obtained from a consumer via telephone. Common
          examples are phone-based purchases or bill payments where the consumer
          provides their banking information over the phone.
        - **CCD** (Corporate Credit or Debit) — Used for fund transfers between
          business accounts. This code is specifically for business-to-business
          transactions. Common examples include vendor payments and other
          business-to-business payments.
        - **BOC** (Back Office Conversion) — Used to convert paper checks
        received
          in-person at a point-of-sale or staffed payment location into electronic
          ACH debits. Required for Remote Deposit Capture (RDC) transactions. Only
          supports consumer checks; business, government, and mailed checks
          aren't eligible.
      title: AchSecCode
    BatchNumber:
      type: string
      description: >
        A unique identifier for the batch. This is generated by Payabli when the

        batch is created, and follows this format:

        `paypointId + "_" + serviceName + "_" + batchDate:yyyyMMdd + "_" +
        Guid.NewGuid()`.

        Payabli generates the GUID to ensure that the batch number is unique.


        For example, in this batch number:

        `123_card_20251008_3f2504e0-4f89-11d3-9a0c-0305e82c3301`, the paypointID

        is `123`, the service is `card`, the batch date is `2025-10-08`, and

        the GUID is `3f2504e0-4f89-11d3-9a0c-0305e82c3301`.
      title: BatchNumber
    TransactionTime:
      type: string
      format: date-time
      description: Timestamp when transaction was submitted, in UTC.
      title: TransactionTime
    QueryCFeeTransaction:
      type: object
      properties:
        cFeeTransid:
          type: string
        feeAmount:
          type: number
          format: double
        operation:
          type: string
        refundId:
          type: integer
          format: int64
        responseData:
          type: object
          additionalProperties:
            description: Any type
        settlementStatus:
          type: integer
        transactionTime:
          $ref: '#/components/schemas/TransactionTime'
        transStatus:
          type: integer
      title: QueryCFeeTransaction
    Device:
      type: string
      description: Identifier of registered cloud device used in the transaction.
      title: Device
    EntrypageId:
      type: integer
      format: int64
      description: |
        If applicable, the internal reference ID to the payment page associated
        with the transaction.
      title: EntrypageId
    ExternalProcessorInformation:
      type: string
      description: Information from the external processor about the transaction.
      title: ExternalProcessorInformation
    FeeAmount:
      type: number
      format: double
      description: Service fee or sub-charge applied.
      title: FeeAmount
    FileContentFtype:
      type: string
      enum:
        - pdf
        - doc
        - docx
        - jpg
        - jpeg
        - png
        - gif
        - txt
      description: The MIME type of the file (if content is provided).
      title: FileContentFtype
    FileContent:
      type: object
      properties:
        fContent:
          type: string
          description: |
            Content of file, Base64-encoded. Ignored if `furl` is specified. Max
            upload size is 30 MB.
        filename:
          type: string
          description: The name of the attached file.
        ftype:
          $ref: '#/components/schemas/FileContentFtype'
        furl:
          type: string
          description: Optional URL provided to show or download the file remotely.
      description: Contains details about a file. Max upload size is 30 MB.
      title: FileContent
    Attachments:
      type: array
      items:
        $ref: '#/components/schemas/FileContent'
      description: >
        Array of `fileContent` objects with attached documents. Max upload size
        is

        30 MB.
      title: Attachments
    Discount:
      type: number
      format: double
      description: Discount applied to the invoice.
      title: Discount
    DutyAmount:
      type: number
      format: double
      description: Duty amount.
      title: DutyAmount
    FreightAmount:
      type: number
      format: double
      description: Freight/shipping amount.
      title: FreightAmount
    Frequency:
      type: string
      enum:
        - onetime
        - weekly
        - every2weeks
        - every6months
        - monthly
        - every3months
        - annually
        - firstofmonth
        - fifteenthofmonth
        - endofmonth
      description: >
        Frequency for operation. The `firstofmonth`, `fifteenthofmonth`, and
        `endofmonth` values are only valid on subscriptions — they aren't
        accepted by other endpoints (such as invoice scheduling) that use this
        enum.
      title: Frequency
    InvoiceAmount:
      type: number
      format: double
      description: The invoice amount.
      title: InvoiceAmount
    InvoiceNumber:
      type: string
      description: Invoice number. Identifies the invoice under a paypoint.
      title: InvoiceNumber
    Invoicestatus:
      type: integer
      description: Invoice status code.
      title: Invoicestatus
    InvoiceType:
      type: integer
      description: |
        Invoice type. Value `0` is for single/one-time invoices, `1` for
        scheduled invoices.
      title: InvoiceType
    ItemCommodityCode:
      type: string
      description: Item or product commodity code. Max length of 250 characters.
      title: ItemCommodityCode
    ItemDescription:
      type: string
      description: Item or product description. Max length of 250 characters.
      title: ItemDescription
    ItemProductCode:
      type: string
      description: Item or product code. Max length of 250 characters.
      title: ItemProductCode
    ItemProductName:
      type: string
      description: Item or product name. Max length of 250 characters.
      title: ItemProductName
    ItemUnitofMeasure:
      type: string
      description: Unit of measurement. Max length of 100 characters.
      title: ItemUnitofMeasure
    BillItem:
      type: object
      properties:
        itemCategories:
          type: array
          items:
            type: string
          description: Array of tags classifying item or product.
        itemCommodityCode:
          $ref: '#/components/schemas/ItemCommodityCode'
        itemCost:
          type: number
          format: double
          description: Item or product price per unit.
        itemDescription:
          $ref: '#/components/schemas/ItemDescription'
        itemMode:
          type: integer
          description: >
            Internal class of item or product: value `0` is only for invoices,

            `1` for bills, and `2` is common for both. Required on invoice line

            items — invoice creation fails with `Invalid item data` if it's
            omitted.
        itemProductCode:
          $ref: '#/components/schemas/ItemProductCode'
        itemProductName:
          $ref: '#/components/schemas/ItemProductName'
        itemQty:
          type: integer
          description: Quantity of item or product.
        itemTaxAmount:
          type: number
          format: double
          description: Tax amount applied to item or product.
        itemTaxRate:
          type: number
          format: double
          description: Tax rate applied to item or product.
        itemTotalAmount:
          type: number
          format: double
          description: >
            Per-line total for this item (unit cost times quantity). Distinct
            from

            the invoice's overall total, `invoiceAmount`. Required on invoice
            line items.
        itemUnitOfMeasure:
          $ref: '#/components/schemas/ItemUnitofMeasure'
      title: BillItem
    BillDataPaymentTerms:
      type: string
      enum:
        - PIA
        - CIA
        - UR
        - NET10
        - NET20
        - NET30
        - NET45
        - NET60
        - NET90
        - EOM
        - MFI
        - 5MFI
        - 10MFI
        - 15MFI
        - 20MFI
        - 2/10NET30
        - UF
        - 10UF
        - 20UF
        - 25UF
        - 50UF
      description: >
        Payment terms for invoice. If no terms are defined, then response data
        for

        this field defaults to `NET30`. Mirrors the values in

        [`Terms`](#schema-terms).
      title: BillDataPaymentTerms
    PurchaseOrder:
      type: string
      description: Purchase order number.
      title: PurchaseOrder
    ShippingFromZip:
      type: string
      description: Sender shipping ZIP code.
      title: ShippingFromZip
    SummaryCommodityCode:
      type: string
      description: Commodity code.
      title: SummaryCommodityCode
    Tax:
      type: number
      format: double
      description: Tax rate in percent applied to the invoice.
      title: Tax
    TermsConditions:
      type: string
      description: Custom terms and conditions included in the invoice.
      title: TermsConditions
    BillData:
      type: object
      properties:
        AdditionalData:
          $ref: '#/components/schemas/AdditionalDataMap'
        attachments:
          $ref: '#/components/schemas/Attachments'
        company:
          type: string
          description: Company name of the recipient of the invoice.
        discount:
          $ref: '#/components/schemas/Discount'
        dutyAmount:
          $ref: '#/components/schemas/DutyAmount'
        firstName:
          type: string
          description: First name of the recipient of the invoice.
        freightAmount:
          $ref: '#/components/schemas/FreightAmount'
        frequency:
          $ref: '#/components/schemas/Frequency'
          description: Frequency of scheduled invoice.
        invoiceAmount:
          $ref: '#/components/schemas/InvoiceAmount'
        invoiceDate:
          type: string
          format: date
          description: 'Invoice date in any of the accepted formats: YYYY-MM-DD, MM/DD/YYYY.'
        invoiceDueDate:
          type: string
          format: date
          description: >-
            Invoice due date in one of the accepted formats: YYYY-MM-DD,
            MM/DD/YYYY.
        invoiceEndDate:
          type: string
          format: date
          description: >-
            Indicate the date to finish a scheduled invoice cycle
            (`invoiceType`` = 1) in any of the accepted formats: YYYY-MM-DD,
            MM/DD/YYYY.
        invoiceNumber:
          $ref: '#/components/schemas/InvoiceNumber'
          description: Invoice number. Identifies the invoice under a paypoint.
        invoiceStatus:
          $ref: '#/components/schemas/Invoicestatus'
        invoiceType:
          $ref: '#/components/schemas/InvoiceType'
        items:
          type: array
          items:
            $ref: '#/components/schemas/BillItem'
          description: Array of line items included in the invoice.
        lastName:
          type: string
          description: Last name of the recipient of the invoice.
        notes:
          type: string
          description: Notes included in the invoice.
        paymentTerms:
          $ref: '#/components/schemas/BillDataPaymentTerms'
        purchaseOrder:
          $ref: '#/components/schemas/PurchaseOrder'
        shippingAddress1:
          $ref: '#/components/schemas/Shippingaddress'
        shippingAddress2:
          $ref: '#/components/schemas/Shippingaddressadditional'
        shippingCity:
          $ref: '#/components/schemas/Shippingcity'
        shippingCountry:
          $ref: '#/components/schemas/Shippingcountry'
        shippingEmail:
          $ref: '#/components/schemas/Email'
          description: Shipping recipient's contact email address.
        shippingFromZip:
          $ref: '#/components/schemas/ShippingFromZip'
        shippingPhone:
          type: string
          description: Recipient phone number.
        shippingState:
          $ref: '#/components/schemas/Shippingstate'
        shippingZip:
          $ref: '#/components/schemas/Shippingzip'
        summaryCommodityCode:
          $ref: '#/components/schemas/SummaryCommodityCode'
        tax:
          $ref: '#/components/schemas/Tax'
        termsConditions:
          $ref: '#/components/schemas/TermsConditions'
      title: BillData
    Netamountnullable:
      type: number
      format: double
      description: Net amount.
      title: Netamountnullable
    Operation:
      type: string
      description: The transaction's operation.
      title: Operation
    Orgid:
      type: integer
      format: int64
      description: Organization ID. Unique identifier assigned to an org by Payabli.
      title: Orgid
    PayorId:
      type: integer
      format: int64
      description: |
        Unique ID for the customer linked to the transaction. This is the same
        value as the `customerId` used when creating or referencing a customer.
      title: PayorId
    PendingFeeAmount:
      type: number
      format: double
      description: >
        The difference between the configured pass-through fee and the fee
        amount

        sent in the request. When transferring funds, Payabli uses this field to

        deduct the fee difference and transfer the correct amount to the

        merchant.


        When a paypoint is set up to absorb fees, and the pass-through fee sent

        with the request is less than the configured amount, the difference must

        be covered by the merchant. See

        [Fee
        Configuration](/guides/pay-in-fees-passthrough-overview#fee-configuration)

        to learn more about pass-through fee settings.
      title: PendingFeeAmount
    RefundId:
      type: integer
      format: int64
      description: Identifier of refund transaction linked to this payment.
      title: RefundId
    Authcode:
      type: string
      description: Authorization code for the transaction.
      title: Authcode
    AvsResponse:
      type: string
      description: |
        Text code describing the result for address validation (applies only for
        card transactions).
      title: AvsResponse
    AvsResponseText:
      type: string
      description: |
        Text code describing the result for address validation (applies only for
        card transactions).
      title: AvsResponseText
    CvvResponse:
      type: string
      description: >
        Text code describing the result for CVV validation (applies only for
        card

        transactions).
      title: CvvResponse
    CvvResponseText:
      type: string
      description: >
        Text code describing the result for CVV validation (applies only for
        card

        transactions).
      title: CvvResponseText
    EmvAuthResponseData:
      type: string
      description: EMV authorization response data, applicable for card transactions.
      title: EmvAuthResponseData
    ResultCodev2:
      type: string
      description: >
        Unified result code for the transaction. See

        [Pay In unified response
        codes](/developers/references/pay-in-unified-response-codes-reference)

        for more information.
      title: ResultCodev2
    ResultCodeText:
      type: string
      description: >
        Description of the result code. See

        [Pay In unified response
        codes](/developers/references/pay-in-unified-response-codes-reference)

        for more information.
      title: ResultCodeText
    QueryResponseData:
      type: object
      properties:
        authcode:
          $ref: '#/components/schemas/Authcode'
        avsresponse:
          $ref: '#/components/schemas/AvsResponse'
        avsresponse_text:
          $ref: '#/components/schemas/AvsResponseText'
        cvvresponse:
          $ref: '#/components/schemas/CvvResponse'
        cvvresponse_text:
          $ref: '#/components/schemas/CvvResponseText'
        emv_auth_response_data:
          $ref: '#/components/schemas/EmvAuthResponseData'
        orderid:
          $ref: '#/components/schemas/OrderId'
        response:
          type: string
          description: 'Response text for operation: ''Success'' or ''Declined''.'
        response_code:
          type: string
          description: >-
            Internal result code processing the transaction. Value 1 indicates
            successful operation, values 2 and 3 indicate errors.
        response_code_text:
          type: string
          description: >-
            Text describing the result. If resultCode = 1, will return
            'Approved' or a general success message. If resultCode = 2 or 3,
            will contain the cause of the decline.
        responsetext:
          type: string
          description: >-
            Text describing the result. If resultCode = 1, will return
            'Approved' or a general success message. If resultCode = 2 or 3,
            will contain the cause of the decline.
        resultCode:
          $ref: '#/components/schemas/ResultCodev2'
        resultCodeText:
          $ref: '#/components/schemas/ResultCodeText'
        transactionid:
          type: string
          description: The transaction identifier in Payabli.
        type:
          type: string
          description: Type of transaction or operation.
      description: The transaction's response data.
      title: QueryResponseData
    ReturnedId:
      type: integer
      format: int64
      description: Identifier of return/chargeback transaction linked to this payment.
      title: ReturnedId
    Source:
      type: string
      description: Custom identifier to indicate the transaction or request source.
      title: Source
    SplitCount:
      type: integer
      description: |
        Number of split funding instructions associated with the transaction.
        Returns `0` when the transaction has no splits.
      title: SplitCount
    QueryTransactionEventsEventData:
      oneOf:
        - type: object
          additionalProperties:
            description: Any type
        - type: string
      description: |
        Any data associated to the event received from processor. Contents vary
        by event type.
      title: QueryTransactionEventsEventData
    QueryTransactionEvents:
      type: object
      properties:
        EventData:
          $ref: '#/components/schemas/QueryTransactionEventsEventData'
          description: >-
            Any data associated to the event received from processor. Contents
            vary by event type.
        EventTime:
          type: string
          format: date-time
          description: Date and time of event.
        TransEvent:
          type: string
          description: >-
            Event descriptor. See [TransEvent
            Reference](/guides/pay-in-transevents-reference) for more details.
      title: QueryTransactionEvents
    TransactionQueryRecords:
      type: object
      properties:
        AchHolderType:
          $ref: '#/components/schemas/AchHolderType'
          default: personal
        AchSecCode:
          $ref: '#/components/schemas/AchSecCode'
        BatchAmount:
          type: number
          format: double
          description: Batch amount.
        BatchNumber:
          $ref: '#/components/schemas/BatchNumber'
        CfeeTransactions:
          type: array
          items:
            $ref: '#/components/schemas/QueryCFeeTransaction'
          description: >-
            Service Fee or sub-charge transaction associated to the main
            transaction.
        ConnectorName:
          type: string
          description: Connector used for transaction.
        Customer:
          $ref: '#/components/schemas/QueryTransactionPayorData'
        DeviceId:
          $ref: '#/components/schemas/Device'
        EntrypageId:
          $ref: '#/components/schemas/EntrypageId'
        ExternalProcessorInformation:
          $ref: '#/components/schemas/ExternalProcessorInformation'
        FeeAmount:
          $ref: '#/components/schemas/FeeAmount'
        GatewayTransId:
          type: string
          description: Internal identifier used for processing.
        invoiceData:
          $ref: '#/components/schemas/BillData'
        Method:
          type: string
          description: 'Payment method used: card, ach, or wallet.'
        NetAmount:
          $ref: '#/components/schemas/Netamountnullable'
          description: Net amount paid.
        Operation:
          $ref: '#/components/schemas/Operation'
        OrderId:
          $ref: '#/components/schemas/OrderId'
        OrgId:
          $ref: '#/components/schemas/Orgid'
          description: ID of immediate parent organization.
        ParentOrgName:
          $ref: '#/components/schemas/OrgParentName'
        PaymentData:
          $ref: '#/components/schemas/QueryPaymentData'
        PaymentTransId:
          type: string
          description: Unique Transaction ID.
        PayorId:
          $ref: '#/components/schemas/PayorId'
        PaypointDbaname:
          $ref: '#/components/schemas/Dbaname'
          description: Paypoint's DBA name.
        PaypointEntryname:
          $ref: '#/components/schemas/Entrypointfield'
          description: Paypoint's entryname.
        PaypointId:
          type: integer
          format: int64
          description: InternalId for paypoint.
        PaypointLegalname:
          $ref: '#/components/schemas/Legalname'
          description: Paypoint's legal name.
        PendingFeeAmount:
          $ref: '#/components/schemas/PendingFeeAmount'
        RefundId:
          $ref: '#/components/schemas/RefundId'
        ResponseData:
          $ref: '#/components/schemas/QueryResponseData'
        ReturnedId:
          $ref: '#/components/schemas/ReturnedId'
        ScheduleReference:
          type: integer
          format: int64
          description: Reference to the subscription that originated the transaction.
        SettlementStatus:
          type: integer
          description: >-
            Settlement status for transaction. See [the
            docs](/developers/references/money-in-statuses#payment-funding-status)
            for a full reference.
        Source:
          $ref: '#/components/schemas/Source'
        splitFundingInstructions:
          $ref: '#/components/schemas/SplitFunding'
        splitCount:
          $ref: '#/components/schemas/SplitCount'
        TotalAmount:
          type: number
          format: double
          description: Transaction total amount (including service fee or sub-charge)
        TransactionEvents:
          type: array
          items:
            $ref: '#/components/schemas/QueryTransactionEvents'
          description: Events associated with this transaction.
        TransactionTime:
          type:
            - string
            - 'null'
          format: date-time
          description: Transaction date and time, in UTC.
        TransAdditionalData:
          description: Any type
        TransStatus:
          type: integer
          description: >-
            Status of transaction. See [the
            docs](/developers/references/money-in-statuses#money-in-transaction-status)
            for a full reference.
      required:
        - splitCount
        - TransactionTime
      title: TransactionQueryRecords
    QueryChargebacksResponseRecordsItem:
      type: object
      properties:
        AccountType:
          type: string
          description: Type of account.
        CaseNumber:
          type: string
          description: Case number of the chargeback.
        ChargebackDate:
          type: string
          format: date-time
          description: Date of the chargeback.
        CreatedAt:
          $ref: '#/components/schemas/CreatedAt'
        Customer:
          $ref: '#/components/schemas/QueryTransactionPayorData'
        externalPaypointID:
          $ref: '#/components/schemas/ExternalPaypointId'
        Id:
          type: integer
          description: Unique identifier of the record.
        LastFour:
          type: string
          description: Last four digits of the account number.
        Method:
          type: string
          description: Method of payment.
        NetAmount:
          type: number
          format: double
          description: Net amount after deductions.
        OrderId:
          $ref: '#/components/schemas/OrderId'
        pageidentifier:
          $ref: '#/components/schemas/PageIdentifier'
        ParentOrgName:
          $ref: '#/components/schemas/OrgParentName'
        PaymentData:
          $ref: '#/components/schemas/QueryPaymentData'
          description: Payment data associated with the transaction.
        PaymentTransId:
          type: string
          description: Transaction ID for the payment.
        PaypointDbaname:
          $ref: '#/components/schemas/Dbaname'
          description: The 'Doing Business As' (DBA) name of the paypoint.
        PaypointEntryname:
          $ref: '#/components/schemas/Entrypointfield'
          description: Entryname for the paypoint.
        PaypointLegalname:
          $ref: '#/components/schemas/Legalname'
          description: Legal name of the paypoint.
        Reason:
          type: string
          description: Description of the reason for chargeback.
        ReasonCode:
          type: string
          description: Code representing the reason for chargeback.
        ReferenceNumber:
          type: string
          description: Reference number for the transaction.
        ReplyBy:
          $ref: '#/components/schemas/Replyby'
        Responses:
          type: string
          description: Responses related to the transaction.
        ScheduleReference:
          type: integer
          description: Reference for any scheduled transactions.
        Status:
          type: integer
          description: |-
            Status of the chargeback or ACH return.

            - 0: Open (chargebacks only)
            - 1: Pending (chargebacks only)
            - 2: ClosedWon (chargebacks only)
            - 3: ClosedLost (chargebacks only)
            - 4: ACH return (any Nacha return code except R29)
            - 5: AchDispute (R29 only — debit block)
        Transaction:
          $ref: '#/components/schemas/TransactionQueryRecords'
        TransactionTime:
          $ref: '#/components/schemas/TransactionTime'
      title: QueryChargebacksResponseRecordsItem
    Pagesize:
      type: integer
      description: Number of records on each response page.
      title: Pagesize
    Totalrecords:
      type: integer
      description: Total number of records in response.
      title: Totalrecords
    QuerySummary:
      type: object
      properties:
        pageIdentifier:
          $ref: '#/components/schemas/PageIdentifier'
        pageSize:
          $ref: '#/components/schemas/Pagesize'
        totalAmount:
          type: number
          format: double
          description: Total amount for the records.
        totalNetAmount:
          type: number
          format: double
          description: Total net amount for the records.
        totalPages:
          $ref: '#/components/schemas/Totalrecords'
        totalRecords:
          $ref: '#/components/schemas/Totalrecords'
      title: QuerySummary
    QueryChargebacksResponse:
      type: object
      properties:
        Records:
          type: array
          items:
            $ref: '#/components/schemas/QueryChargebacksResponseRecordsItem'
        Summary:
          $ref: '#/components/schemas/QuerySummary'
      description: Response body for queries about chargebacks.
      title: QueryChargebacksResponse
    PayabliErrorBodyResponseData:
      type: object
      properties:
        explanation:
          type: string
          description: Human-readable explanation of what happened.
        todoAction:
          type: string
          description: Suggested resolution.
      description: Object with detailed error context.
      title: PayabliErrorBodyResponseData
    PayabliErrorBody:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: Always `false` for error responses.
        responseCode:
          type: integer
          description: |
            Code for the response. Learn more in
            [API Response Codes](/developers/api-reference/api-responses).
        responseText:
          type: string
          description: Error text describing what went wrong.
        responseData:
          $ref: '#/components/schemas/PayabliErrorBodyResponseData'
          description: Object with detailed error context.
      required:
        - isSuccess
        - responseText
      description: |
        Shape returned by every Payabli API error response. The `responseData`
        object carries human-readable error context.
      title: PayabliErrorBody
  securitySchemes:
    APIKeyAuth:
      type: apiKey
      in: header
      name: requestToken

```

## Examples



**Response**

```json
{
  "Records": [
    {
      "AccountType": "4XXXXXX0003",
      "CaseNumber": "00001",
      "ChargebackDate": "2023-02-08T00:00:00Z",
      "CreatedAt": "2022-07-01T15:00:01Z",
      "externalPaypointID": "Paypoint-100",
      "Id": 578,
      "LastFour": "4XXXXXX0003",
      "Method": "card",
      "NetAmount": 1.5,
      "OrderId": "O-5140",
      "pageidentifier": "null",
      "ParentOrgName": "PropertyManager Pro",
      "PaymentData": {
        "paymentDetails": {
          "totalAmount": 100
        }
      },
      "PaymentTransId": "10-bfcd5a17861d4a8690ca53c142ca3810",
      "PaypointDbaname": "Sunshine Gutters",
      "PaypointEntryname": "d193cf9a46",
      "PaypointLegalname": "Sunshine Services, LLC",
      "Reason": "Testing",
      "ReasonCode": "00001",
      "ReferenceNumber": "10-bfcd5a17861d4a8690ca53c142ca3810",
      "ReplyBy": "2022-07-11T15:00:01Z",
      "Responses": "Responses",
      "ScheduleReference": 0,
      "Status": 3,
      "Transaction": {
        "splitCount": 0,
        "EntrypageId": 0,
        "FeeAmount": 1,
        "PayorId": 1551,
        "PaypointId": 3040,
        "SettlementStatus": 2,
        "TotalAmount": 30.22,
        "TransStatus": 1
      },
      "TransactionTime": "2024-01-15T09:30:00Z"
    }
  ],
  "Summary": {
    "pageIdentifier": "null",
    "pageSize": 20,
    "totalAmount": 77.22,
    "totalNetAmount": 77.22,
    "totalPages": 2,
    "totalRecords": 2
  }
}
```

**SDK Code**

```typescript
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.query.listChargebacksOrg(123, {
        fromRecord: 251,
        limitRecord: 0,
        sortBy: "desc(field_name)",
    });
}
main();

```

```python
from payabli import payabli

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.query.list_chargebacks_org(
    org_id=123,
    from_record=251,
    limit_record=0,
    sort_by="desc(field_name)",
)

```

```java
package com.example.usage;

import io.github.payabli.api.PayabliPayabliApiOasClient;
import io.github.payabli.api.resources.query.requests.ListChargebacksOrgRequest;

public class Example {
    public static void main(String[] args) {
        PayabliPayabliApiOasClient client = PayabliPayabliApiOasClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.query().listChargebacksOrg(
            123,
            ListChargebacksOrgRequest
                .builder()
                .fromRecord(251)
                .limitRecord(0)
                .sortBy("desc(field_name)")
                .build()
        );
    }
}
```

```ruby
require "payabli"

client = Payabli::Client.new(api_key: "YOUR_API_KEY_HERE")

client.query.list_chargebacks_org(
  org_id: 123,
  from_record: 251,
  limit_record: 0,
  sort_by: "desc(field_name)"
)

```

```csharp
using PayabliPayabliApiOas;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiOasClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Query.ListChargebacksOrgAsync(
            123,
            new ListChargebacksOrgRequest {
                FromRecord = 251,
                LimitRecord = 0,
                SortBy = "desc(field_name)"
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    payabli "github.com/payabli/sdk-go"
    client "github.com/payabli/sdk-go/client"
    option "github.com/payabli/sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithApiKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    request := &payabli.ListChargebacksOrgRequest{
        FromRecord: payabli.Int(
            251,
        ),
        LimitRecord: payabli.Int(
            0,
        ),
        SortBy: payabli.String(
            "desc(field_name)",
        ),
    }
    client.Query.ListChargebacksOrg(
        context.TODO(),
        123,
        request,
    )
}

```

```php
<?php

namespace Example;

use Payabli\PayabliClient;
use Payabli\Query\Requests\ListChargebacksOrgRequest;

$client = new PayabliClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->query->listChargebacksOrg(
    123,
    new ListChargebacksOrgRequest([
        'fromRecord' => 251,
        'limitRecord' => 0,
        'sortBy' => 'desc(field_name)',
    ]),
);

```

```swift
import Foundation

let headers = ["requestToken": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/Query/chargebacks/org/123?fromRecord=251&limitRecord=0&sortBy=desc%28field_name%29")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```